### Constructor

# Gtk PageSetupnew_from_gvariant

#### Declaration [src]

    GtkPageSetup*
    gtk_page_setup_new_from_gvariant (
      GVariant* variant
    )

#### Description [src]

Desrialize a page setup from an a{sv} variant.

The variant must be in the format produced by `gtk_page_setup_to_gvariant()`.

#### Parameters

`variant`

  Type: `GVariant`

  An a{sv} `GVariant`

  The data is owned by the caller of the function.

#### Return value

Type: `GtkPageSetup`

A new `GtkPageSetup` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.